import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ListFilterByInfoInputRepresentation as types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation } from '../types/ListFilterByInfoInputRepresentation';
import { ListScopeInputRepresentation as types_ListScopeInputRepresentation_ListScopeInputRepresentation } from '../types/ListScopeInputRepresentation';
import { ResourceRequestConfig as resources_postUiApiListInfoByObjectApiName_ResourceRequestConfig } from '../resources/postUiApiListInfoByObjectApiName';
import { ListInfoRepresentation as types_ListInfoRepresentation_ListInfoRepresentation } from '../types/ListInfoRepresentation';
export declare const adapterName = "createListInfo";
export declare const createListInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const createListInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CreateListInfoConfig {
    objectApiName: string;
    displayColumns?: Array<string>;
    filterLogicString?: string;
    filteredByInfo?: Array<types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation>;
    label?: string;
    listShares?: Array<string>;
    listViewApiName?: string;
    scope?: types_ListScopeInputRepresentation_ListScopeInputRepresentation;
    visibility?: string;
}
export declare const createResourceParams: (config: CreateListInfoConfig) => resources_postUiApiListInfoByObjectApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CreateListInfoConfig>): adapter$45$utils_Untrusted<CreateListInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CreateListInfoConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CreateListInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, any>>;
export declare const createListInfoAdapterFactory: $64$luvio_engine_AdapterFactory<CreateListInfoConfig, types_ListInfoRepresentation_ListInfoRepresentation>;
