import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, DeleteAdapterFactory as $64$luvio_engine_DeleteAdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_deleteUiApiRecordsByRecordId_ResourceRequestConfig } from '../resources/deleteUiApiRecordsByRecordId';
export declare const adapterName = "deleteRecord";
export declare const deleteRecord_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const deleteRecord_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface DeleteRecordConfig {
    recordId: string;
}
export declare const createResourceParams: (config: DeleteRecordConfig) => resources_deleteUiApiRecordsByRecordId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<DeleteRecordConfig>): adapter$45$utils_Untrusted<DeleteRecordConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): DeleteRecordConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: DeleteRecordConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<void>;
export declare const deleteRecordAdapterFactory: $64$luvio_engine_DeleteAdapterFactory<DeleteRecordConfig>;
