import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration, Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiObjectInfoByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiObjectInfoByObjectApiName';
import { KeyParams as types_ObjectInfoRepresentation_KeyParams, ObjectInfoRepresentation as types_ObjectInfoRepresentation_ObjectInfoRepresentation } from '../types/ObjectInfoRepresentation';
export declare const adapterName = "getObjectInfo";
export declare const getObjectInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getObjectInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetObjectInfoConfig {
    objectApiName: string;
}
export declare const createResourceParams: (config: GetObjectInfoConfig) => resources_getUiApiObjectInfoByObjectApiName_ResourceRequestConfig;
export declare function coerceKeyParam(config: adapter$45$utils_UncoercedConfiguration<types_ObjectInfoRepresentation_KeyParams, any>): types_ObjectInfoRepresentation_KeyParams;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetObjectInfoConfig>): adapter$45$utils_Untrusted<GetObjectInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetObjectInfoConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig): $64$luvio_engine_Snapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig, resourceParams: resources_getUiApiObjectInfoByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ObjectInfoRepresentation_ObjectInfoRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig, resourceParams: resources_getUiApiObjectInfoByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetObjectInfoConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ObjectInfoRepresentation_ObjectInfoRepresentation>): $64$luvio_engine_Snapshot<types_ObjectInfoRepresentation_ObjectInfoRepresentation, any>;
export declare const getObjectInfoAdapterFactory: $64$luvio_engine_AdapterFactory<GetObjectInfoConfig, types_ObjectInfoRepresentation_ObjectInfoRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_ObjectInfoRepresentation_KeyParams, any>[]) => void;
