import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListInfoBatchByParentObjectApiNameAndRelatedListNames_ResourceRequestConfig } from '../resources/getUiApiRelatedListInfoBatchByParentObjectApiNameAndRelatedListNames';
import { RelatedListInfoBatchRepresentation as types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation } from '../types/RelatedListInfoBatchRepresentation';
export declare const adapterName = "getRelatedListInfoBatch";
export declare const getRelatedListInfoBatch_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListInfoBatch_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListInfoBatchConfig {
    parentObjectApiName: string;
    relatedListNames: Array<string>;
    recordTypeId?: string;
}
export declare const createResourceParams: (config: GetRelatedListInfoBatchConfig) => resources_getUiApiRelatedListInfoBatchByParentObjectApiNameAndRelatedListNames_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListInfoBatchConfig>): adapter$45$utils_Untrusted<GetRelatedListInfoBatchConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListInfoBatchConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig): $64$luvio_engine_Snapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig, resourceParams: resources_getUiApiRelatedListInfoBatchByParentObjectApiNameAndRelatedListNames_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig, resourceParams: resources_getUiApiRelatedListInfoBatchByParentObjectApiNameAndRelatedListNames_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoBatchConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListInfoBatchConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation, any>;
export declare const getRelatedListInfoBatchAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListInfoBatchConfig, types_RelatedListInfoBatchRepresentation_RelatedListInfoBatchRepresentation>;
