import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListPreferencesBatchByPreferencesIds_ResourceRequestConfig } from '../resources/getUiApiRelatedListPreferencesBatchByPreferencesIds';
import { RelatedListPreferencesBatchRepresentation as types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation } from '../types/RelatedListPreferencesBatchRepresentation';
export declare const adapterName = "getRelatedListPreferencesBatch";
export declare const getRelatedListPreferencesBatch_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListPreferencesBatch_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListPreferencesBatchConfig {
    preferencesIds: Array<string>;
}
export declare const createResourceParams: (config: GetRelatedListPreferencesBatchConfig) => resources_getUiApiRelatedListPreferencesBatchByPreferencesIds_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListPreferencesBatchConfig>): adapter$45$utils_Untrusted<GetRelatedListPreferencesBatchConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListPreferencesBatchConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig): $64$luvio_engine_Snapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig, resourceParams: resources_getUiApiRelatedListPreferencesBatchByPreferencesIds_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig, resourceParams: resources_getUiApiRelatedListPreferencesBatchByPreferencesIds_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesBatchConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListPreferencesBatchConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation, any>;
export declare const getRelatedListPreferencesBatchAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListPreferencesBatchConfig, types_RelatedListPreferencesBatchRepresentation_RelatedListPreferencesBatchRepresentation>;
