import { ActionRelatedListSingleBatchInputRepresentation as ActionRelatedListSingleBatchInputRepresentation_ActionRelatedListSingleBatchInputRepresentation } from './ActionRelatedListSingleBatchInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e45dd5220e6e60e50fefb8070b5fd245";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ActionRelatedListsBatchInputRepresentation, existing: ActionRelatedListsBatchInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ActionRelatedListsBatchInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ActionRelatedListsBatchInputRepresentationNormalized, incoming: ActionRelatedListsBatchInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ActionRelatedListsBatchInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Query (using POST) for actions in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface ActionRelatedListsBatchInputRepresentationNormalized {
    /** Parameters for each of the related lists in this batch request. */
    relatedListsActionParameters: Array<ActionRelatedListSingleBatchInputRepresentation_ActionRelatedListSingleBatchInputRepresentation>;
}
/**
 * Query (using POST) for actions in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface ActionRelatedListsBatchInputRepresentation {
    relatedListsActionParameters: Array<ActionRelatedListSingleBatchInputRepresentation_ActionRelatedListSingleBatchInputRepresentation>;
}
