import { AbstractFormSubitemRepresentation as AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation } from './AbstractFormSubitemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "0e1f8c145bf74188c670c8e2a2047634";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: EmptySpaceFormSubitemRepresentation, existing: EmptySpaceFormSubitemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): EmptySpaceFormSubitemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: EmptySpaceFormSubitemRepresentationNormalized, incoming: EmptySpaceFormSubitemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: EmptySpaceFormSubitemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Empty Space Subitem.
 *
 * Keys:
 *    (none)
 */
export interface EmptySpaceFormSubitemRepresentationNormalized extends AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation {
}
/**
 * Empty Space Subitem.
 *
 * Keys:
 *    (none)
 */
export interface EmptySpaceFormSubitemRepresentation extends AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation {
}
