import { AbstractRecordAvatarBatchRepresentation as AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation } from './AbstractRecordAvatarBatchRepresentation';
import { ErrorSingleRecordAvatarRepresentation as ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation } from './ErrorSingleRecordAvatarRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 300000;
export declare const VERSION = "e7fac2bfb5cdacc5e0f15c350f9ab8fe";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ErrorBadRequestRecordAvatarBatchRepresentation, existing: ErrorBadRequestRecordAvatarBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ErrorBadRequestRecordAvatarBatchRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ErrorBadRequestRecordAvatarBatchRepresentationNormalized, incoming: ErrorBadRequestRecordAvatarBatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ErrorBadRequestRecordAvatarBatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface ErrorBadRequestRecordAvatarBatchRepresentationNormalized extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: Array<ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation>;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface ErrorBadRequestRecordAvatarBatchRepresentation extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: Array<ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation>;
    statusCode: 400;
}
