import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3ec5d221261cee97fc4d020ffdd2e0af";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ErrorMessageRepresentation, existing: ErrorMessageRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ErrorMessageRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ErrorMessageRepresentationNormalized, incoming: ErrorMessageRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ErrorMessageRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Explain why we were not able to search on the object
 *
 * Keys:
 *    (none)
 */
export interface ErrorMessageRepresentationNormalized {
    /** Type of error */
    errorCode: string;
    /** Description of the error */
    message: string | null;
}
/**
 * Explain why we were not able to search on the object
 *
 * Keys:
 *    (none)
 */
export interface ErrorMessageRepresentation {
    errorCode: string;
    message: string | null;
}
