import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "623aa9ce3a11031e35faf5671a41746e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListFilterByInfoRepresentation, existing: ListFilterByInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListFilterByInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListFilterByInfoRepresentationNormalized, incoming: ListFilterByInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListFilterByInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListFilterByInfoRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListFilterByInfoRepresentationNormalized {
    /** API name for the field used to filter. */
    fieldApiName: string;
    /** Label for the field used to filter. */
    label: string;
    /** The values (or label if there is one) to filter by. */
    operandLabels: Array<string>;
    /** Operator such as equals, starts with. */
    operator: string;
}
/**
 * ListFilterByInfoRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListFilterByInfoRepresentation {
    fieldApiName: string;
    label: string;
    operandLabels: Array<string>;
    operator: string;
}
