import { AdvancedLookupInfoRepresentation as AdvancedLookupInfoRepresentation_AdvancedLookupInfoRepresentation } from './AdvancedLookupInfoRepresentation';
import { DisplayLayoutAndMatchingInfoRepresentation as DisplayLayoutAndMatchingInfoRepresentation_DisplayLayoutAndMatchingInfoRepresentation } from './DisplayLayoutAndMatchingInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "651983af79ef0b9931fc373f1d6c1181";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: LookupMetadataTargetInfoRepresentation, existing: LookupMetadataTargetInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LookupMetadataTargetInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: LookupMetadataTargetInfoRepresentationNormalized, incoming: LookupMetadataTargetInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LookupMetadataTargetInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups target Metadata
 *
 * Keys:
 *    (none)
 */
export interface LookupMetadataTargetInfoRepresentationNormalized {
    /** Advanced Lookup Info */
    advancedLookupInfo: AdvancedLookupInfoRepresentation_AdvancedLookupInfoRepresentation;
    /** Object API name */
    objectApiName: string;
    /** Suggestions display layout and matching info */
    suggestionsInfo: DisplayLayoutAndMatchingInfoRepresentation_DisplayLayoutAndMatchingInfoRepresentation;
}
/**
 * Search Lookups target Metadata
 *
 * Keys:
 *    (none)
 */
export interface LookupMetadataTargetInfoRepresentation {
    advancedLookupInfo: AdvancedLookupInfoRepresentation_AdvancedLookupInfoRepresentation;
    objectApiName: string;
    suggestionsInfo: DisplayLayoutAndMatchingInfoRepresentation_DisplayLayoutAndMatchingInfoRepresentation;
}
