import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "798c2505ed0c88ffb6f395a16e96cd02";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: NavItemInputRepresentation, existing: NavItemInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): NavItemInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: NavItemInputRepresentationNormalized, incoming: NavItemInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: NavItemInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A navigation item.
 *
 * Keys:
 *    (none)
 */
export interface NavItemInputRepresentationNormalized {
    /** The nav item's id. */
    id: string;
    /** The nav item's label. */
    label: string;
    /** The nav item's page reference. */
    pageReference: {};
}
/**
 * A navigation item.
 *
 * Keys:
 *    (none)
 */
export interface NavItemInputRepresentation {
    id: string;
    label: string;
    pageReference: {};
}
