import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "11837b63202b2d0c9c67993438d2ed1e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: OperationInputRepresentation, existing: OperationInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): OperationInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: OperationInputRepresentationNormalized, incoming: OperationInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: OperationInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * An operation that can to be executed within aggregate
 *
 * Keys:
 *    (none)
 */
export interface OperationInputRepresentationNormalized {
    /** The HTTP headers of the operation to be executed */
    httpHeaders: {
        [key: string]: string;
    };
    /** The ID of the operation that can be used in references */
    referenceId: string;
    /** The URL of the operation to executed */
    url: string;
}
/**
 * An operation that can to be executed within aggregate
 *
 * Keys:
 *    (none)
 */
export interface OperationInputRepresentation {
    httpHeaders: {
        [key: string]: string;
    };
    referenceId: string;
    url: string;
}
