import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a46012a5307f0a5fef78066970ed1a8a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PageReferenceInputRepresentation, existing: PageReferenceInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PageReferenceInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PageReferenceInputRepresentationNormalized, incoming: PageReferenceInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PageReferenceInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A page reference.
 *
 * Keys:
 *    (none)
 */
export interface PageReferenceInputRepresentationNormalized {
    /** The page reference's attributes. */
    attributes: {
        [key: string]: {};
    };
    /** The page reference's state. */
    state: {
        [key: string]: {};
    };
    /** The page reference's type. */
    type: string;
}
/**
 * A page reference.
 *
 * Keys:
 *    (none)
 */
export interface PageReferenceInputRepresentation {
    attributes: {
        [key: string]: {};
    };
    state: {
        [key: string]: {};
    };
    type: string;
}
