import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a316b3bba367f54adc67d7552ed7d36d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PageReferenceRepresentation, existing: PageReferenceRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PageReferenceRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: PageReferenceRepresentationNormalized, incoming: PageReferenceRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PageReferenceRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A page reference.
 *
 * Keys:
 *    (none)
 */
export interface PageReferenceRepresentationNormalized {
    /** Values for each attribute specified by the PageDefinition. */
    attributes: {
        [key: string]: unknown;
    };
    /** Optional additional parameters that are not integral to the resolution of the reference. */
    state: {
        [key: string]: {};
    };
    /** API name of the corresponding PageDefinition. */
    type: string;
}
/**
 * A page reference.
 *
 * Keys:
 *    (none)
 */
export interface PageReferenceRepresentation {
    attributes: {
        [key: string]: unknown;
    };
    state: {
        [key: string]: {};
    };
    type: string;
}
