import { AbstractRecordAvatarBatchRepresentation as AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation } from './AbstractRecordAvatarBatchRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { PhotoRecordAvatarRepresentation as PhotoRecordAvatarRepresentation_PhotoRecordAvatarRepresentation } from './PhotoRecordAvatarRepresentation';
import { ThemeRecordAvatarRepresentation as ThemeRecordAvatarRepresentation_ThemeRecordAvatarRepresentation } from './ThemeRecordAvatarRepresentation';
export declare const TTL = 300000;
export declare const VERSION = "f531b44760afecfce89990fe5a5c5c29";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordAvatarBatchRepresentation, existing: RecordAvatarBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordAvatarBatchRepresentationNormalized;
export interface DynamicIngestParams {
    result: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: RecordAvatarBatchRepresentation, existing: RecordAvatarBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => RecordAvatarBatchRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    result?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordAvatarBatchRepresentationNormalized, incoming: RecordAvatarBatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordAvatarBatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordAvatarBatchRepresentationNormalized extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: $64$luvio_engine_StoreLink;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordAvatarBatchRepresentation extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: PhotoRecordAvatarRepresentation_PhotoRecordAvatarRepresentation | ThemeRecordAvatarRepresentation_ThemeRecordAvatarRepresentation;
    statusCode: 200;
}
