import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordAvatarBatchRepresentation as RecordAvatarBatchRepresentation_RecordAvatarBatchRepresentation } from './RecordAvatarBatchRepresentation';
import { ErrorBadRequestRecordAvatarBatchRepresentation as ErrorBadRequestRecordAvatarBatchRepresentation_ErrorBadRequestRecordAvatarBatchRepresentation } from './ErrorBadRequestRecordAvatarBatchRepresentation';
import { ErrorRecordAvatarBatchRepresentation as ErrorRecordAvatarBatchRepresentation_ErrorRecordAvatarBatchRepresentation } from './ErrorRecordAvatarBatchRepresentation';
export declare const VERSION = "c71254693d97946148143fd4c6bad1d8";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordAvatarBulkRepresentation, existing: RecordAvatarBulkRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordAvatarBulkRepresentationNormalized;
export interface DynamicIngestParams {
    results: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: RecordAvatarBulkRepresentation, existing: RecordAvatarBulkRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => RecordAvatarBulkRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    results?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordAvatarBulkRepresentationNormalized, incoming: RecordAvatarBulkRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordAvatarBulkRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordAvatarBulkRepresentationNormalized {
    hasErrors: boolean;
    /** Collection of batch result items. One for each request input. */
    results: Array<$64$luvio_engine_StoreLink>;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordAvatarBulkRepresentation {
    hasErrors: boolean;
    results: Array<RecordAvatarBatchRepresentation_RecordAvatarBatchRepresentation | ErrorBadRequestRecordAvatarBatchRepresentation_ErrorBadRequestRecordAvatarBatchRepresentation | ErrorRecordAvatarBatchRepresentation_ErrorRecordAvatarBatchRepresentation>;
}
