import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "160ae9dc18f2c5a2153a84311f85b0d4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutSectionUserStateInputRepresentation, existing: RecordLayoutSectionUserStateInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutSectionUserStateInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutSectionUserStateInputRepresentationNormalized, incoming: RecordLayoutSectionUserStateInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutSectionUserStateInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents the user state for a record layout section.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSectionUserStateInputRepresentationNormalized {
    /** Indicates whether the section is collapsed. */
    collapsed: boolean;
}
/**
 * Represents the user state for a record layout section.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSectionUserStateInputRepresentation {
    collapsed: boolean;
}
