import { ListOrderedByInfoInputRepresentation as ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from './ListOrderedByInfoInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "8e1b80bdaece2e516d7107dd063c786f";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListUserPreferencesInputRepresentation, existing: RelatedListUserPreferencesInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListUserPreferencesInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListUserPreferencesInputRepresentationNormalized, incoming: RelatedListUserPreferencesInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListUserPreferencesInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of related list user preferences input.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListUserPreferencesInputRepresentationNormalized {
    /** Column width preferences.  -1 indicates default width. */
    columnWidths?: {
        [key: string]: number;
    };
    /** Column wrapping preferences.  True indicates text wrapping is enabled. */
    columnWrap?: {
        [key: string]: boolean;
    };
    /** Input representation for orderBy. */
    orderedBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
/**
 * Representation of related list user preferences input.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListUserPreferencesInputRepresentation {
    columnWidths?: {
        [key: string]: number;
    };
    columnWrap?: {
        [key: string]: boolean;
    };
    orderedBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
