import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fc81a8168c011c8bbf758e18bb2cb5ed";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ThemeImageRepresentation, existing: ThemeImageRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ThemeImageRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ThemeImageRepresentationNormalized, incoming: ThemeImageRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ThemeImageRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A representation of a theme image.
 *
 * Keys:
 *    (none)
 */
export interface ThemeImageRepresentationNormalized {
    /** The url of the large image. */
    largeUrl: string;
    /** The url of the medium image. */
    mediumUrl: string;
    /** The url of the small image. */
    smallUrl: string;
}
/**
 * A representation of a theme image.
 *
 * Keys:
 *    (none)
 */
export interface ThemeImageRepresentation {
    largeUrl: string;
    mediumUrl: string;
    smallUrl: string;
}
