import type { FulfilledSnapshot, Luvio, PendingSnapshot, FetchResponse, SnapshotRefresh, StaleSnapshot } from '@luvio/engine';
import type { RecordAvatarBulkMapRepresentation } from '../../../generated/types/RecordAvatarBulkMapRepresentation';
interface ResourceRequestConfig {
    urlParams: {
        recordIds: Array<string>;
    };
    queryParams: {
        formFactor?: string;
    };
}
export declare function ingestSuccess(luvio: Luvio, resourceParams: ResourceRequestConfig, response: FetchResponse<RecordAvatarBulkMapRepresentation>, snapshotRefresh?: SnapshotRefresh<RecordAvatarBulkMapRepresentation>): Promise<FulfilledSnapshot<RecordAvatarBulkMapRepresentation, {}> | StaleSnapshot<RecordAvatarBulkMapRepresentation, {}> | PendingSnapshot<RecordAvatarBulkMapRepresentation, any>>;
export {};
