import type { Snapshot, ErrorSnapshot, FulfilledSnapshot, UnfulfilledSnapshot, StaleSnapshot } from '@luvio/engine';
export declare function isFulfilledSnapshot<T, U>(snapshot: Snapshot<T, U>): snapshot is FulfilledSnapshot<T, U>;
export declare function isUnfulfilledSnapshot<T, U>(snapshot: Snapshot<T, U>): snapshot is UnfulfilledSnapshot<T, U>;
export declare function isStaleSnapshot<T, U>(snapshot: Snapshot<any>): snapshot is StaleSnapshot<T, U>;
export declare function isErrorSnapshot(snapshot: Snapshot<any>): snapshot is ErrorSnapshot;
