import type { AdapterRequestContext, Snapshot } from '@luvio/engine';
import type { ContentDocumentCompositeRepresentation } from '../../generated/types/ContentDocumentCompositeRepresentation';
import type { buildNetworkSnapshot } from './buildNetworkSnapshot';
import type { CreateContentVersionConfig } from './AdapterConfig';
export type DraftAwareCreateContentVersionAdapter = (config: CreateContentVersionConfig, networkSnapshotBuilder: typeof buildNetworkSnapshot, requestContext?: AdapterRequestContext) => Promise<Snapshot<ContentDocumentCompositeRepresentation>>;
