import type { Selector } from '@luvio/engine';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
export interface RecordDef {
    recordId: string;
    recordData: RecordRepresentation;
    recordTypeId: string;
}
export declare function buildRecordUiSelector(recordDefs: RecordDef[], layoutTypes: string[], modes: string[], recordOptionalFields: {
    [key: string]: string[];
}): Selector<any>['node'];
