import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsFormulaActivationByActionFeature_ResourceRequestConfig } from '../resources/getUiApiActionsFormulaActivationByActionFeature';
import { FlexipageFormulaActivationRepresentation as types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation } from '../types/FlexipageFormulaActivationRepresentation';
export declare const adapterName = "getFlexipageFormulaOverrides";
export declare const getFlexipageFormulaOverrides_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getFlexipageFormulaOverrides_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetFlexipageFormulaOverridesConfig {
    actionFeature: string;
    application?: string;
    objectApiNames?: Array<string>;
}
export declare const createResourceParams: (config: GetFlexipageFormulaOverridesConfig) => resources_getUiApiActionsFormulaActivationByActionFeature_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetFlexipageFormulaOverridesConfig>): adapter$45$utils_Untrusted<GetFlexipageFormulaOverridesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetFlexipageFormulaOverridesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig): $64$luvio_engine_Snapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig, resourceParams: resources_getUiApiActionsFormulaActivationByActionFeature_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig, resourceParams: resources_getUiApiActionsFormulaActivationByActionFeature_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetFlexipageFormulaOverridesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetFlexipageFormulaOverridesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation>): $64$luvio_engine_Snapshot<types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation, any>;
export declare const getFlexipageFormulaOverridesAdapterFactory: $64$luvio_engine_AdapterFactory<GetFlexipageFormulaOverridesConfig, types_FlexipageFormulaActivationRepresentation_FlexipageFormulaActivationRepresentation>;
