import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiLayoutByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiLayoutByObjectApiName';
import { GetLayoutConfigWithDefaults as raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults } from '../../raml-artifacts/adapters/getLayout/utils';
import { RecordLayoutRepresentation as types_RecordLayoutRepresentation_RecordLayoutRepresentation } from '../types/RecordLayoutRepresentation';
export declare const adapterName = "getLayout";
export declare const getLayout_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getLayout_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetLayoutConfig {
    objectApiName: string;
    formFactor?: string;
    layoutType?: string;
    mode?: string;
    recordTypeId?: string;
}
export declare const createResourceParams: (config: GetLayoutConfig) => resources_getUiApiLayoutByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetLayoutConfig>): adapter$45$utils_Untrusted<GetLayoutConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults): $64$luvio_engine_Snapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults, resourceParams: resources_getUiApiLayoutByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordLayoutRepresentation_RecordLayoutRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults, resourceParams: resources_getUiApiLayoutByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RecordLayoutRepresentation_RecordLayoutRepresentation>): $64$luvio_engine_Snapshot<types_RecordLayoutRepresentation_RecordLayoutRepresentation, any>;
export declare const getLayoutAdapterFactory: $64$luvio_engine_AdapterFactory<raml$45$artifacts_adapters_getLayout_utils_GetLayoutConfigWithDefaults, types_RecordLayoutRepresentation_RecordLayoutRepresentation>;
