import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig, UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig } from '../resources/getUiApiRelatedListPreferencesByPreferencesId';
import { RelatedListUserPreferencesRepresentation as types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, KeyParams as types_RelatedListUserPreferencesRepresentation_KeyParams } from '../types/RelatedListUserPreferencesRepresentation';
export declare const adapterName = "getRelatedListPreferences";
export declare const getRelatedListPreferences_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListPreferences_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListPreferencesConfig {
    preferencesId: string;
}
export declare const createResourceParams: (config: GetRelatedListPreferencesConfig) => resources_getUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListPreferencesConfig>): adapter$45$utils_Untrusted<GetRelatedListPreferencesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListPreferencesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig): $64$luvio_engine_Snapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig, resourceParams: resources_getUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig, resourceParams: resources_getUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListPreferencesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListPreferencesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>;
export declare const getRelatedListPreferencesAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListPreferencesConfig, types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_RelatedListUserPreferencesRepresentation_KeyParams, any>[]) => void;
