import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { ListUserPreferenceInputRepresentation as types_ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation } from '../types/ListUserPreferenceInputRepresentation';
import { ResourceRequestConfig as resources_patchUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig } from '../resources/patchUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId';
import { RelatedListInfoRepresentation as types_RelatedListInfoRepresentation_RelatedListInfoRepresentation } from '../types/RelatedListInfoRepresentation';
export declare const adapterName = "updateRelatedListInfo";
export declare const updateRelatedListInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateRelatedListInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateRelatedListInfoConfig {
    parentObjectApiName: string;
    relatedListId: string;
    recordTypeId?: string;
    orderedByInfo: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    userPreferences: types_ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation;
}
export declare const createResourceParams: (config: UpdateRelatedListInfoConfig) => resources_patchUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateRelatedListInfoConfig>): adapter$45$utils_Untrusted<UpdateRelatedListInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateRelatedListInfoConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateRelatedListInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>>;
export declare const updateRelatedListInfoAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateRelatedListInfoConfig, types_RelatedListInfoRepresentation_RelatedListInfoRepresentation>;
