import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { ResourceRequestConfig as resources_patchUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig } from '../resources/patchUiApiRelatedListPreferencesByPreferencesId';
import { RelatedListUserPreferencesRepresentation as types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation } from '../types/RelatedListUserPreferencesRepresentation';
export declare const adapterName = "updateRelatedListPreferences";
export declare const updateRelatedListPreferences_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateRelatedListPreferences_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateRelatedListPreferencesConfig {
    preferencesId: string;
    columnWidths?: {
        [key: string]: number;
    };
    columnWrap?: {
        [key: string]: boolean;
    };
    orderedBy?: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
export declare const createResourceParams: (config: UpdateRelatedListPreferencesConfig) => resources_patchUiApiRelatedListPreferencesByPreferencesId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateRelatedListPreferencesConfig>): adapter$45$utils_Untrusted<UpdateRelatedListPreferencesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateRelatedListPreferencesConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateRelatedListPreferencesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>>;
export declare const updateRelatedListPreferencesAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateRelatedListPreferencesConfig, types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation>;
