import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { ListUserPreferenceInputRepresentation as types_ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation } from '../types/ListUserPreferenceInputRepresentation';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { RelatedListInfoRepresentation as types_RelatedListInfoRepresentation_RelatedListInfoRepresentation } from '../types/RelatedListInfoRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        parentRecordId: string;
        relatedListId: string;
    };
    queryParams: {
        recordTypeId?: string;
    };
    body: {
        orderedByInfo: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
        userPreferences: types_ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_RelatedListInfoRepresentation_RelatedListInfoRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
