import { FetchResponse as $64$luvio_engine_FetchResponse, Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, StoreKeySet as $64$luvio_engine_StoreKeySet, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { ResourceRequestConfig as postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig } from './postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId';
import { RelatedListRecordsSingleBatchInputRepresentation as types_RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation } from '../types/RelatedListRecordsSingleBatchInputRepresentation';
import { RelatedListRecordCollectionBatchRepresentation as types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation } from '../types/RelatedListRecordCollectionBatchRepresentation';
export declare function createChildResourceParams(resourceParams: ResourceRequestConfig): postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig[];
export interface ResourceRequestConfig {
    urlParams: {
        parentRecordId: string;
    };
    body: {
        relatedListParameters: Array<types_RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation>;
    };
}
export declare function selectChildResourceParams(luvio: $64$luvio_engine_Luvio, childResources: postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig[], resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function select(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(keys: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation): void;
export declare function ingestSuccessChildResourceParams(luvio: $64$luvio_engine_Luvio, childResourceParamsArray: postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig[], childEnvelopes: Array<any>): {
    childSnapshotData: types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation;
    seenRecords: $64$luvio_engine_StoreKeySet<string | $64$luvio_engine_NormalizedKeyMetadata>;
    snapshotState: string;
};
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any> | $64$luvio_engine_StaleSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any> | $64$luvio_engine_PendingSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
