import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "895567b16e972cb5a84b23f08d84c3ad";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ActionRelatedListSingleBatchInputRepresentation, existing: ActionRelatedListSingleBatchInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ActionRelatedListSingleBatchInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ActionRelatedListSingleBatchInputRepresentationNormalized, incoming: ActionRelatedListSingleBatchInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ActionRelatedListSingleBatchInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Query (using POST) for actions in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface ActionRelatedListSingleBatchInputRepresentationNormalized {
    /** The list of action types on the Related List */
    actionTypes?: Array<string>;
    /** The API names of the actions on the Related List */
    apiNames?: Array<string>;
    /** Required form factor. */
    formFactor?: string;
    /** The identifier for this related list. */
    relatedListId: string;
    /** RetrievalMode used to fetch actions. */
    retrievalMode?: string;
    /** Section in PlatformAction. */
    sections?: Array<string>;
}
/**
 * Query (using POST) for actions in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface ActionRelatedListSingleBatchInputRepresentation {
    actionTypes?: Array<string>;
    apiNames?: Array<string>;
    formFactor?: string;
    relatedListId: string;
    retrievalMode?: string;
    sections?: Array<string>;
}
