import { RecordInputRepresentation as RecordInputRepresentation_RecordInputRepresentation } from './RecordInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "07421ba238ba58a3c116de475fecd625";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: BatchOperationInputRepresentation, existing: BatchOperationInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): BatchOperationInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: BatchOperationInputRepresentationNormalized, incoming: BatchOperationInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: BatchOperationInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Batch operation.
 *
 * Keys:
 *    (none)
 */
export interface BatchOperationInputRepresentationNormalized {
    /** Set records param */
    records: Array<RecordInputRepresentation_RecordInputRepresentation>;
    /** Set records param */
    type: string;
}
/**
 * Batch operation.
 *
 * Keys:
 *    (none)
 */
export interface BatchOperationInputRepresentation {
    records: Array<RecordInputRepresentation_RecordInputRepresentation>;
    type: string;
}
