import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "f43ef90ffde4d488414d6868e3aaefcb";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DuplicateRuleFilterItemRepresentation, existing: DuplicateRuleFilterItemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DuplicateRuleFilterItemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DuplicateRuleFilterItemRepresentationNormalized, incoming: DuplicateRuleFilterItemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DuplicateRuleFilterItemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Duplicate Rule filter item
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleFilterItemRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** The field name on which filter is set. */
    field: string;
    /** Operation to be used. */
    operation: string;
    /** The order in which filter item was added to the filter. */
    sortOrder: number;
    /** The value of field to evaluate operation. */
    value: string;
}
/**
 * Duplicate Rule filter item
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleFilterItemRepresentation {
    eTag: string;
    field: string;
    operation: string;
    sortOrder: number;
    value: string;
}
