import { FormItemRepresentation as FormItemRepresentation_FormItemRepresentation } from './FormItemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "4ccbdd883acb9e52ce211e34b42a4469";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FormRowRepresentation, existing: FormRowRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FormRowRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FormRowRepresentationNormalized, incoming: FormRowRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FormRowRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Form row.
 *
 * Keys:
 *    (none)
 */
export interface FormRowRepresentationNormalized {
    /** The items in this row, from left to right. Might not extend to the last column. */
    formItems: Array<FormItemRepresentation_FormItemRepresentation>;
}
/**
 * Form row.
 *
 * Keys:
 *    (none)
 */
export interface FormRowRepresentation {
    formItems: Array<FormItemRepresentation_FormItemRepresentation>;
}
