import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "f98dc7dec10408a9648ef8e5b37002a3";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListInlineEditDetailsRepresentation, existing: ListInlineEditDetailsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInlineEditDetailsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInlineEditDetailsRepresentationNormalized, incoming: ListInlineEditDetailsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInlineEditDetailsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListInlineEditDetailsRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInlineEditDetailsRepresentationNormalized {
    /** The message describing why inline edit is Off */
    message: string | null;
    /** The state of inline edit for this list view */
    state: string | null;
}
/**
 * ListInlineEditDetailsRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInlineEditDetailsRepresentation {
    message: string | null;
    state: string | null;
}
