import { RecordExceptionErrorRepresentation as RecordExceptionErrorRepresentation_RecordExceptionErrorRepresentation } from './RecordExceptionErrorRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "b347fccd35d41619232db01abd2a2eb4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordExceptionRepresentation, existing: RecordExceptionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordExceptionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordExceptionRepresentationNormalized, incoming: RecordExceptionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordExceptionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record exception.
 *
 * Keys:
 *    (none)
 */
export interface RecordExceptionRepresentationNormalized {
    /** General errors. */
    errors: Array<RecordExceptionErrorRepresentation_RecordExceptionErrorRepresentation>;
    /** Field-specific errors. */
    fieldErrors: {
        [key: string]: Array<RecordExceptionErrorRepresentation_RecordExceptionErrorRepresentation>;
    };
}
/**
 * Record exception.
 *
 * Keys:
 *    (none)
 */
export interface RecordExceptionRepresentation {
    errors: Array<RecordExceptionErrorRepresentation_RecordExceptionErrorRepresentation>;
    fieldErrors: {
        [key: string]: Array<RecordExceptionErrorRepresentation_RecordExceptionErrorRepresentation>;
    };
}
