import { RecordLayoutItemRepresentation as RecordLayoutItemRepresentation_RecordLayoutItemRepresentation } from './RecordLayoutItemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e0285b5ff2f935c052430025cfdc4bbd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutRowRepresentation, existing: RecordLayoutRowRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutRowRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutRowRepresentationNormalized, incoming: RecordLayoutRowRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutRowRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout row.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutRowRepresentationNormalized {
    /** The items in this row, from left to right. Might not extend to the last column. */
    layoutItems: Array<RecordLayoutItemRepresentation_RecordLayoutItemRepresentation>;
}
/**
 * Record layout row.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutRowRepresentation {
    layoutItems: Array<RecordLayoutItemRepresentation_RecordLayoutItemRepresentation>;
}
