import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "04b8a77d0318f5e993efe3b560985526";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutUserStateInputRepresentation, existing: RecordLayoutUserStateInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutUserStateInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutUserStateInputRepresentationNormalized, incoming: RecordLayoutUserStateInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutUserStateInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents the user state for a record layout.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutUserStateInputRepresentationNormalized {
    /** Indicates section user states to set. Keyed by section ID. */
    sectionUserStates: {
        [key: string]: {};
    };
}
/**
 * Represents the user state for a record layout.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutUserStateInputRepresentation {
    sectionUserStates: {
        [key: string]: {};
    };
}
