import { RelatedListRecordsSingleBatchInputRepresentation as RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation } from './RelatedListRecordsSingleBatchInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "70f657d2f133a37bd62419111ffe5586";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListRecordsBatchInputRepresentation, existing: RelatedListRecordsBatchInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListRecordsBatchInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListRecordsBatchInputRepresentationNormalized, incoming: RelatedListRecordsBatchInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListRecordsBatchInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Query (using POST) for records in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListRecordsBatchInputRepresentationNormalized {
    /** Parameters for each of the related lists in this batch request. */
    relatedListParameters: Array<RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation>;
}
/**
 * Query (using POST) for records in multiple related lists.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListRecordsBatchInputRepresentation {
    relatedListParameters: Array<RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation>;
}
