import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "2628aaa312c76a3bc97d88ed07128fba";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchAnswersRecordRepresentation, existing: SearchAnswersRecordRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchAnswersRecordRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchAnswersRecordRepresentationNormalized, incoming: SearchAnswersRecordRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchAnswersRecordRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record for Search Answers
 *
 * Keys:
 *    (none)
 */
export interface SearchAnswersRecordRepresentationNormalized {
    /** The record’s object API label */
    objectApiLabel: string;
    /** The record’s object API name */
    objectApiName: string;
    /** The ID of the record */
    recordId: string;
    /** The record’s title */
    title: string;
}
/**
 * Record for Search Answers
 *
 * Keys:
 *    (none)
 */
export interface SearchAnswersRecordRepresentation {
    objectApiLabel: string;
    objectApiName: string;
    recordId: string;
    title: string;
}
