import type { Luvio, IngestPath, StoreRecordError } from '@luvio/engine';
import type { RecordRepresentationNormalized } from '../../generated/types/RecordRepresentation';
import type { RecordConflictMap } from './resolveConflict';
export default function merge(existing: RecordRepresentationNormalized | undefined | StoreRecordError, incoming: RecordRepresentationNormalized, luvio: Luvio, _path: IngestPath, recordConflictMap: RecordConflictMap): RecordRepresentationNormalized;
export declare function dependencyKeyBuilder(config: {
    /** The ID of this record. */
    recordId: string;
}): string;
