import type { RecordFieldTrie } from '../../util/records';
import type { Luvio } from '@luvio/engine';
export interface RecordConflict {
    recordId: string;
    trackedFields: RecordFieldTrie;
}
export type RecordConflictMap = {
    conflicts: Record<string, RecordConflict>;
    serverRequestCount: number;
};
export declare function resolveConflict(luvio: Luvio, map: RecordConflictMap): void;
