import type { Luvio, Snapshot, DispatchResourceRequestContext } from '@luvio/engine';
import type { RecordAvatarBulkMapRepresentation } from '../../../generated/types/RecordAvatarBulkMapRepresentation';
import type { GetRecordAvatarsConfig } from './utils';
export declare const IN_FLIGHT_REQUESTS: Set<string>;
export declare function getRecordIdsFlightStatus(recordIds: string[], in_flight_requests: Set<string>): {
    recordIdsInFlight: string[];
    recordIdsNotInFlight: string[];
};
export declare function buildNetworkSnapshot(luvio: Luvio, config: GetRecordAvatarsConfig, options?: DispatchResourceRequestContext): Promise<Snapshot<RecordAvatarBulkMapRepresentation, any>>;
