import type { AdapterValidationConfig } from '../../../generated/adapters/adapter-utils';
import type { GetRecordsConfig, GetRecordsEntityConfiguration } from './GetRecordsConfig';
export declare function checkFieldsObjectApiName(fields: string[], apiName: string): boolean;
export declare function getObjectApiName(fields: GetRecordsEntityConfiguration['fields'], optionalFields: GetRecordsEntityConfiguration['optionalFields']): string;
export declare function validateFieldsObjectApiName(config: GetRecordsConfig): void;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: AdapterValidationConfig): GetRecordsConfig | null;
