/**
 * Utility function to run a given function in NODE_ENV=production, then reset NODE_ENV to the previous value.
 * Should only be used in tests.
 *
 * @param fn function to run in production environment
 */
export declare function runInProductionEnvironment(fn: () => void): void;
