import type { RecordLayoutRepresentation } from '../generated/types/RecordLayoutRepresentation';
import type { ObjectInfoRepresentation } from '../generated/types/ObjectInfoRepresentation';
export interface FieldsAndOptionalFields {
    fields: string[];
    optionalFields: string[];
}
export declare function getNameField(objectInfo: ObjectInfoRepresentation, fieldApiName: string): string;
export declare function getQualifiedFieldApiNamesFromLayout(layout: RecordLayoutRepresentation, objectInfo: ObjectInfoRepresentation): FieldsAndOptionalFields;
