import type { ResourceIngest } from '@luvio/engine';
import type { RecordFieldTrie } from './records';
import type { RecordConflictMap } from '../helpers/RecordRepresentation/resolveConflict';
export declare function createFieldsIngestion(fieldsTrie: RecordFieldTrie, optionalFieldsTrie: RecordFieldTrie, recordConflictMap: RecordConflictMap): ResourceIngest;
export declare const createRecordIngest: (fieldsTrie: RecordFieldTrie, optionalFieldsTrie: RecordFieldTrie, recordConflictMap: RecordConflictMap) => ResourceIngest;
